Description

Hello, 

I've saved a project with with a layer on which it was active a query using the layer properties query builder. 

Well, when I reopened the projects, the layer with the query appear no longer editable. 

On the same layer I also used 4 

'value map ' to enter the values in the fields. 

Well, Even the previously setted 'values map' are not loaded on layer at project reopening.

History

#1 - 2017-09-07 08:27 PM - Giovanni Manghi

- Subject changed from Trouble with query builder and values map in any shapefile in Qgis 2.18 to Trouble with value maps in any shapefile in QGIS 

2.18

- Category changed from GUI to Vectors

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Regression? changed from Yes to No

Hi Antonio,

one issue one ticket please.

Anyway the first in not an issue, some datasources are not editable when a filter is applied.

About the second issue do you have any evidence is a regressions (it was ok on a previous QGIS release?).

Please add the data and detailed steps on how replicate.

thanks.

#2 - 2017-09-07 10:30 PM - Antonio Viscomi

Hi Giovanni, 

The data are not necessary because of the first 'issue' appens with all the shapefiles I've tried, then:

A user is able to edit a subset's database before saving the project but not after that. 

Then the problem, in my opinion, is in saving project with a query on a shapefile
#3 - 2017-09-07 10:36 PM - Antonio Viscomi

Sorry For the second issue, 

but I thought it was connected to the first one because in a project saved with the same shapefile 'not queried' vaulemap works fine.

#4 - 2017-09-07 10:45 PM - Antonio Viscomi

Antonio Viscomi wrote:

Hi Giovanni, 

The data are not necessary because of the first 'issue' appens with all the shapefiles I've tried, then:

A user is able to edit a subset's database before saving the project but not after that. 

Then the problem, in my opinion, is in saving project with a query on a shapefile

Furthermore the shapefile remains not editable even I clean the previously saved query...

#5 - 2017-09-08 08:23 PM - Giovanni Manghi

I see the problem with filtering editing, but I don't see (or understand) the problem with the value maps.

Can you add steps to replicate the issue? Thanks.

#6 - 2017-09-09 03:24 PM - Antonio Viscomi

Sorry, 

The problem with valuemap is not existent,  I initially thought the cause of the problem with the filter was valuemap but evidently I was wrong about this.

#7 - 2017-09-10 07:24 AM - Antonio Viscomi

Giovanni Manghi wrote:

I see the problem with filtering editing, but I don't see (or understand) the problem with the value maps.

Can you add steps to replicate the issue?

Sorry, 

The problem with valuemap is not existent, I initially thought the cause of the problem with the filter was valuemap but evidently I was wrong about this.

#8 - 2017-09-12 09:29 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

The problem with valuemap is not existent, I initially thought the cause of the problem with the filter was valuemap but evidently I was wrong about

this.

for the other issue see #17124
#9 - 2017-09-13 09:13 AM - Antonio Viscomi

Giovanni Manghi wrote:

The problem with valuemap is not existent, I initially thought the cause of the problem with the filter was valuemap but evidently I was wrong about

this.

for the other issue see #17124

many thanks Giovanni

and sorry for the misunderstanding I have created with valuemap
